#
# Copyright (C) 2021 Red Hat, Inc.
#
# Cockpit is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# Cockpit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with Cockpit; If not, see <http://www.gnu.org/licenses/>.
#

Name:           cockpit-machines
Version:        334
Release:        1.20250706075916923177.pr2213.9.gb474b368%{?dist}
Summary:        Cockpit user interface for virtual machines
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/cockpit-project/cockpit-machines

Source0:        cockpit-machines-334.9.gb474b368.tar.xz
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires:  make
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge >= 215
%if 0%{?suse_version}
Requires: libvirt-daemon-qemu
%else
Requires: libvirt-daemon-driver-qemu
Requires: libvirt-daemon-driver-network
Requires: libvirt-daemon-driver-nodedev
Requires: libvirt-daemon-driver-storage-core
Requires: libvirt-daemon-config-network
Recommends: libvirt-daemon-driver-storage-disk
%if 0%{?rhel}
Requires: qemu-kvm
%else
# smaller footprint on Fedora, as qemu-kvm is really expensive on a server
Requires: qemu-kvm-core
Recommends: qemu-block-curl
Recommends: qemu-char-spice
Recommends: qemu-device-usb-host
Recommends: qemu-device-usb-redirect
# HACK: https://bugzilla.redhat.com/show_bug.cgi?id=2170110
%if 0%{?fedora} >= 38
Requires: (qemu-audio-spice if qemu-char-spice)
%endif
%endif
%endif
Requires: libvirt-client
Requires: libvirt-dbus >= 1.2.0
Requires: virt-install >= 3.0.0
# Optional components
Recommends: libosinfo
Recommends: python3-gobject-base
Suggests: (qemu-virtiofsd or virtiofsd)

Provides: bundled(npm(@babel/runtime)) = 7.27.6
Provides: bundled(npm(@emotion/is-prop-valid)) = 0.7.3
Provides: bundled(npm(@emotion/memoize)) = 0.7.1
Provides: bundled(npm(@novnc/novnc)) = 1.5.0
Provides: bundled(npm(@patternfly/patternfly)) = 6.2.3
Provides: bundled(npm(@patternfly/react-console)) = 6.0.0
Provides: bundled(npm(@patternfly/react-core)) = 6.2.2
Provides: bundled(npm(@patternfly/react-icons)) = 6.2.2
Provides: bundled(npm(@patternfly/react-styles)) = 6.2.2
Provides: bundled(npm(@patternfly/react-table)) = 6.2.2
Provides: bundled(npm(@patternfly/react-tokens)) = 6.2.2
Provides: bundled(npm(@spice-project/spice-html5)) = 0.2.1
Provides: bundled(npm(@xterm/addon-canvas)) = 0.7.0
Provides: bundled(npm(@xterm/xterm)) = 5.5.0
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(css-jss)) = 10.10.0
Provides: bundled(npm(css-vendor)) = 2.0.8
Provides: bundled(npm(csstype)) = 3.1.3
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-saver)) = 1.3.8
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.4
Provides: bundled(npm(hoist-non-react-statics)) = 3.3.2
Provides: bundled(npm(hyphenate-style-name)) = 1.1.0
Provides: bundled(npm(ipaddr.js)) = 2.2.0
Provides: bundled(npm(is-in-browser)) = 1.1.3
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(jss-plugin-camel-case)) = 10.10.0
Provides: bundled(npm(jss-plugin-compose)) = 10.10.0
Provides: bundled(npm(jss-plugin-default-unit)) = 10.10.0
Provides: bundled(npm(jss-plugin-expand)) = 10.10.0
Provides: bundled(npm(jss-plugin-extend)) = 10.10.0
Provides: bundled(npm(jss-plugin-global)) = 10.10.0
Provides: bundled(npm(jss-plugin-nested)) = 10.10.0
Provides: bundled(npm(jss-plugin-props-sort)) = 10.10.0
Provides: bundled(npm(jss-plugin-rule-value-function)) = 10.10.0
Provides: bundled(npm(jss-plugin-rule-value-observable)) = 10.10.0
Provides: bundled(npm(jss-plugin-template)) = 10.10.0
Provides: bundled(npm(jss-plugin-vendor-prefixer)) = 10.10.0
Provides: bundled(npm(jss-preset-default)) = 10.10.0
Provides: bundled(npm(jss)) = 10.10.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-display-name)) = 0.2.5
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react-jss)) = 10.10.0
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(redux-thunk)) = 3.1.0
Provides: bundled(npm(redux)) = 5.0.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(shallow-equal)) = 1.2.1
Provides: bundled(npm(symbol-observable)) = 1.2.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(theming)) = 3.3.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tiny-warning)) = 1.0.3
Provides: bundled(npm(tslib)) = 2.8.1
Provides: bundled(npm(xterm-addon-fit)) = 0.8.0
Provides: bundled(npm(xterm)) = 5.3.0

%description
Cockpit component for managing libvirt virtual machines.

%prep
%setup -q -n cockpit-machines

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

# The changelog is automatically generated and merged
%changelog
* Sun Jul 06 2025 Packit <hello@packit.dev> - 334-1.20250706075916923177.pr2213.9.gb474b368
- Bump stylelint from 16.21.0 to 16.21.1 in the stylelint group (dependabot[bot])
- Makefile: Update Cockpit lib to 7fec09ed0e4569b02336f5d5da15cd86 (Cockpit Project)
- test: Revert to fake mouse events on Chromium in create tests (Martin Pitt)
- test: switch to using an id as selector (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- Makefile: Update Cockpit lib to adc8119b0bd05e6e6c6706ef6f99db18 (Cockpit Project)
- cockpit-ci: Update container to 2025-06-28 (Cockpit Project)
- Bump @typescript-eslint/eslint-plugin in the types group (dependabot[bot])
- Makefile: Update Cockpit lib to 34cffc160af0a5fe1841486cffbeb712 (Cockpit Project)
